package hdm.mi.growbros.models.search;

import hdm.mi.growbros.models.plant.GroundType;
import hdm.mi.growbros.models.plant.LightingDemand;
import hdm.mi.growbros.models.plant.NutrientDemand;
import hdm.mi.growbros.models.plant.WaterDemand;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SearchRequest {

   private String searchTerm;
   private WaterDemand waterDemand;
   private NutrientDemand nutrientDemand;
   private GroundType groundType;
   private LightingDemand lightingDemand;
   private Integer plantWeekStart;
   private Integer plantWeekEnd;
   private Integer growthDurationMin;
   private Integer growthDurationMax;

}
